=== modified file 'lib/canonical/launchpad/icing/sprite.css.in'
--- lib/canonical/launchpad/icing/sprite.css.in	2011-11-03 20:22:52 +0000
+++ lib/canonical/launchpad/icing/sprite.css.in	2011-12-05 04:19:12 +0000
@@ -516,3 +516,11 @@
     background-image: url(/@@/notification-close.png); /* sprite-ref: icon-sprites */
     background-repeat: no-repeat;
     }
+.order-ascending {
+    background-image: url(/@@/order-ascending.png); /* sprite-ref: icon-sprites */
+    background-repeat: no-repeat;
+    }
+.order-descending {
+    background-image: url(/@@/order-descending.png); /* sprite-ref: icon-sprites */
+    background-repeat: no-repeat;
+    }

=== added file 'lib/canonical/launchpad/images/order-ascending.png'
Binary files lib/canonical/launchpad/images/order-ascending.png and lib/canonical/launchpad/images/order-ascending.png differ
=== added file 'lib/canonical/launchpad/images/order-descending.png'
Binary files lib/canonical/launchpad/images/order-descending.png and lib/canonical/launchpad/images/order-descending.png differ
=== modified file 'lib/lp/app/javascript/ordering/assets/ordering-core.css'
--- lib/lp/app/javascript/ordering/assets/ordering-core.css	2011-11-02 19:06:42 +0000
+++ lib/lp/app/javascript/ordering/assets/ordering-core.css	2011-12-05 07:00:37 +0000
@@ -15,7 +15,7 @@
 .yui3-orderbybar ul li {
     float: left;
     margin: 5px 3px;
-    padding: 0 6px;
+    padding: 0 8px;
     background: #DDD;
     border-radius: 10px;
     cursor: pointer;
@@ -25,6 +25,12 @@
     background: #B8B8B8;
     }
 
+.yui3-orderbybar .sort-arr .sprite {
+    vertical-align: middle;
+    margin-left: 2px;
+    padding-left: 12px;
+    }
+
 .yui3-orderbybar .config-widget {
     float: right;
     border-left: 1px solid #EEE;

=== modified file 'lib/lp/app/javascript/ordering/ordering.js'
--- lib/lp/app/javascript/ordering/ordering.js	2011-11-03 16:42:21 +0000
+++ lib/lp/app/javascript/ordering/ordering.js	2011-12-05 07:00:37 +0000
@@ -153,6 +153,10 @@
     OrderByBar.LI_TEMPLATE = [
         '<li id="{li_id}">{li_label}',
         '<span class="sort-arr"></span></li>'].join('');
+    OrderByBar.ASCENDING_ARROW = Y.Node.create(
+        '<span class="sprite order-ascending"></span>');
+    OrderByBar.DESCENDING_ARROW = Y.Node.create(
+        '<span class="sprite order-descending"></span>');
 
     Y.extend(OrderByBar, Y.Widget, {
 
@@ -216,8 +220,6 @@
             clicked_node, clicked_node_sort_key, preclick_sort_key) {
             // References to the span holding the arrow and the arrow HTML.
             var arrow_span = clicked_node.one('span');
-            var up_arrow = Y.Node.create('&uarr;').get('text');
-            var down_arrow = Y.Node.create('&darr;').get('text');
 
             var is_active_sort_button = false;
             if (clicked_node_sort_key === preclick_sort_key) {
@@ -226,14 +228,13 @@
             if (is_active_sort_button) {
                 // Handle the case where the button clicked is the current
                 // active sort order.  We change sort directions for it.
-                var current_arrow = arrow_span.get('innerHTML');
-                if (current_arrow === up_arrow) {
-                    arrow_span.set('innerHTML', down_arrow);
+                if (arrow_span.hasClass('desc')) {
+                    arrow_span.setContent(this.constructor.ASCENDING_ARROW);
                     arrow_span.addClass('asc');
                     arrow_span.removeClass('desc');
                     this.set('sort_order', 'asc');
                 } else {
-                    arrow_span.set('innerHTML', up_arrow);
+                    arrow_span.setContent(this.constructor.DESCENDING_ARROW);
                     arrow_span.addClass('desc');
                     arrow_span.removeClass('asc');
                     this.set('sort_order', 'desc');
@@ -246,13 +247,13 @@
                 var old_active_li = this.get('contentBox').one(
                     old_active_sort_key);
                 var old_arrow_span = old_active_li.one('span');
-                old_arrow_span.set('innerHTML', '');
+                old_arrow_span.setContent('');
                 var pre_click_sort_order = this.get('sort_order');
                 old_arrow_span.removeClass(pre_click_sort_order);
                 // Update current li span arrow and set new sort order.
                 arrow_span.addClass('asc');
                 this.set('sort_order', 'asc');
-                arrow_span.set('innerHTML', down_arrow);
+                arrow_span.setContent(this.constructor.ASCENDING_ARROW);
             }
         },
 
@@ -307,9 +308,11 @@
                     li_node.one('span').addClass(this.get('sort_order'));
                     sort_order = this.get('sort_order');
                     if (sort_order === 'asc') {
-                        li_node.one('span').set('innerHTML', '&darr;');
+                        li_node.one('span').setContent(
+                            this.constructor.ASCENDING_ARROW);
                     } else if (sort_order === 'desc') {
-                        li_node.one('span').set('innerHTML', '&uarr;');
+                        li_node.one('span').setContent(
+                            this.constructor.DESCENDING_ARROW);
                     }
                 }
                 orderby_ul.appendChild(li_node);

=== modified file 'lib/lp/app/javascript/ordering/tests/test_orderby_widget.js'
--- lib/lp/app/javascript/ordering/tests/test_orderby_widget.js	2011-11-03 15:36:57 +0000
+++ lib/lp/app/javascript/ordering/tests/test_orderby_widget.js	2011-12-05 21:17:27 +0000
@@ -151,7 +151,7 @@
         });
         this.orderby.render();
         var arrow_span = Y.one('.active-sort span');
-        var expected_text = Y.Node.create('&darr;').get('text');
+        var expected_text = '<span class="sprite order-ascending"></span>';
         Assert.areEqual(expected_text, arrow_span.get('innerHTML'));
     },
 
@@ -164,7 +164,7 @@
         });
         this.orderby.render();
         var arrow_span = Y.one('.active-sort span');
-        var expected_text = Y.Node.create('&uarr;').get('text');
+        var expected_text = '<span class="sprite order-descending"></span>';
         Assert.areEqual(expected_text, arrow_span.get('innerHTML'));
     },
 
@@ -223,8 +223,8 @@
         });
         this.orderby.render();
         var foo_node = Y.one('#sort-foo');
-        var expected_starting_text = Y.Node.create('&darr;').get('text');
-        var expected_ending_text = Y.Node.create('&uarr;').get('text');
+        var expected_starting_text = '<span class="sprite order-ascending"></span>';
+        var expected_ending_text = '<span class="sprite order-descending"></span>';
         Assert.areEqual(
             expected_starting_text, foo_node.one('span').get('innerHTML'));
         Assert.isTrue(foo_node.one('span').hasClass('asc'));
@@ -252,7 +252,7 @@
         this.orderby.render();
         var bar_node = Y.one('#sort-bar');
         bar_node.simulate('click');
-        var expected_arrow = Y.Node.create('&darr;').get('text');
+        var expected_arrow = '<span class="sprite order-ascending"></span>';
         Assert.areEqual(
             expected_arrow, bar_node.one('span').get('innerHTML'));
         Assert.isTrue(bar_node.one('span').hasClass('asc'));

